Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynCommon Class Reference

`#include <DynCommon.h>`

Inheritance diagram for TAO_DynCommon:

[legend]
Collaboration diagram for TAO_DynCommon:

[legend]
List of all members.

## Public Methods
| TAO_DynCommon (void)
virtual | ~TAO_DynCommon (void)
virtual CORBA::TypeCode_ptr | type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | assign (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
virtual void | insert_boolean (CORBA::Boolean value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_octet (CORBA::Octet value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_char (CORBA::Char value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_short (CORBA::Short value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ushort (CORBA::UShort value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_long (CORBA::Long value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulong (CORBA::ULong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_float (CORBA::Float value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_double (CORBA::Double value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_string (const char *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_reference (CORBA::Object_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_typecode (CORBA::TypeCode_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_longlong (CORBA::LongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulonglong (CORBA::ULongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_longdouble (CORBA::LongDouble value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_wchar (CORBA::WChar value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_wstring (const CORBA::WChar *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_dyn_any (DynamicAny::DynAny_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_val (CORBA::ValueBase_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | get_boolean (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Octet | get_octet (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Char | get_char (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Short | get_short (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::UShort | get_ushort (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Long | get_long (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_ulong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Float | get_float (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Double | get_double (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual char * | get_string (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Object_ptr | get_reference (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::TypeCode_ptr | get_typecode (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongLong | get_longlong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULongLong | get_ulonglong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongDouble | get_longdouble (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar | get_wchar (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar * | get_wstring (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | get_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::DynAny_ptr | get_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ValueBase_ptr | get_val (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | seek (CORBA::Long index ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | rewind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | next (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::ULong | component_count (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
## Protected Methods
void | set_flag (DynamicAny::DynAny_ptr component, CORBA::Boolean destroying ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
## Protected Attributes
CORBA::Boolean | ref_to_component_
CORBA::Boolean | container_is_destroying_
CORBA::Boolean | has_components_
CORBA::Boolean | destroyed_
CORBA::Long | current_position_
CORBA::ULong | component_count_
CORBA::TypeCode_var | type_
CORBA_Any | any_
## Private Methods
DynamicAny::DynAny_ptr | check_component (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
void | check_type (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
CORBA::TypeCode_ptr | check_type_and_unalias (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )

## Constructor & Destructor Documentation

TAO_DynCommon::TAO_DynCommon | ( | void |  | ) |

TAO_DynCommon::~TAO_DynCommon | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_DynCommon::assign | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::check_component | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[private]`

void TAO_DynCommon::check_type | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[private]`

CORBA::TypeCode_ptr TAO_DynCommon::check_type_and_unalias | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[private]`

CORBA::ULong TAO_DynCommon::component_count | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Any_ptr TAO_DynCommon::get_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Boolean TAO_DynCommon::get_boolean | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Char TAO_DynCommon::get_char | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Double TAO_DynCommon::get_double | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::get_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Float TAO_DynCommon::get_float | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Long TAO_DynCommon::get_long | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::LongDouble TAO_DynCommon::get_longdouble | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::LongLong TAO_DynCommon::get_longlong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Octet TAO_DynCommon::get_octet | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Object_ptr TAO_DynCommon::get_reference | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Short TAO_DynCommon::get_short | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

char * TAO_DynCommon::get_string | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::TypeCode_ptr TAO_DynCommon::get_typecode | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::ULong TAO_DynCommon::get_ulong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::ULongLong TAO_DynCommon::get_ulonglong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::UShort TAO_DynCommon::get_ushort | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::ValueBase_ptr TAO_DynCommon::get_val | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::WChar TAO_DynCommon::get_wchar | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::WChar * TAO_DynCommon::get_wstring | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_boolean | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_char | ( | CORBA::Char value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_double | ( | CORBA::Double value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_dyn_any | ( | DynamicAny::DynAny_ptr value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_float | ( | CORBA::Float value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_long | ( | CORBA::Long value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_longdouble | ( | CORBA::LongDouble value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_longlong | ( | CORBA::LongLong value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_octet | ( | CORBA::Octet value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_reference | ( | CORBA::Object_ptr value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_short | ( | CORBA::Short value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_string | ( | const char *value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_typecode | ( | CORBA::TypeCode_ptr value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_ulong | ( | CORBA::ULong value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_ulonglong | ( | CORBA::ULongLong value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_ushort | ( | CORBA::UShort value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_val | ( | CORBA::ValueBase_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_wchar | ( | CORBA::WChar value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::insert_wstring | ( | const CORBA::WChar *value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::Boolean TAO_DynCommon::next | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::rewind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynCommon::seek | ( | CORBA::Long index | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynCommon::set_flag | ( | DynamicAny::DynAny_ptr | component,
|  | CORBA::Boolean destroying | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[protected]`

CORBA::TypeCode_ptr TAO_DynCommon::type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

## Member Data Documentation

CORBA_Any TAO_DynCommon::any_`[protected]`

CORBA::ULong TAO_DynCommon::component_count_`[protected]`

CORBA::Boolean TAO_DynCommon::container_is_destroying_`[protected]`

CORBA::Long TAO_DynCommon::current_position_`[protected]`

CORBA::Boolean TAO_DynCommon::destroyed_`[protected]`

CORBA::Boolean TAO_DynCommon::has_components_`[protected]`

CORBA::Boolean TAO_DynCommon::ref_to_component_`[protected]`

CORBA::TypeCode_var TAO_DynCommon::type_`[protected]`

The documentation for this class was generated from the following files:

- DynCommon.h
- DynCommon.cpp